Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 5599

Summary: sendfile.2 problems.
Product: [Retired] Red Hat Linux Reporter: hawkfan
Component: man-pagesAssignee: Trond Eivind Glomsrxd <teg>
Status: CLOSED RAWHIDE QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 6.1CC: hawkfan
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-05-30 16:52:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description hawkfan 1999-10-05 20:23:48 UTC
sendfile(2) returns a ssize_t.  The man page documents it as
returning an int.  Also unistd.h knows nothing about
sendfile, it needs only sys/sendfile.h.  Attached is a patch
that also cleans up some formatting errors.

--- sendfile.2.old      Tue Oct  5 15:22:36 1999
+++ sendfile.2  Tue Oct  5 15:25:32 1999
@@ -4,10 +4,12 @@
 .SH NAME
 sendfile \- transfer data between file descriptors
 .SH SYNOPSIS
-.B #include <unistd.h>
+.nf
+.B #include <sys/sendfile.h>
 .sp
-.BI int sendfile(int out_fd, int in_fd, off_t *offset,
size_t count)
-
+.BI "ssize_t sendfile(int " out_fd ", int " in_fd ", off_t
*" offset ,
+.BI "                 size_t " count );
+.fi
 .SH DESCRIPTION
 This call copies data between file descriptor and another
file descriptor
 or socket.
@@ -25,8 +27,8 @@
 is the number of bytes to copy between file descriptors.

 .SH NOTES
-Sendfile does not modify the current file pointer of
-in_fd, but does for out_fd.
+.RI "Sendfile does not modify the current file pointer of "
in_fd ,
+.RI "but does for " out_fd ".

 If you plan to use sendfile for sending files to a TCP
socket, but need
 to send some header data in front of the file contents,
please refer to
@@ -63,7 +65,9 @@
 .B sendfile
 is a new feature in Linux 2.2.

-Other Unixes often implement sendfile with different
semantics and prototypes. It should
-not be used in portable programs.
+Other Unixes often implement
+.B sendfile
+with different semantics and prototypes. It should not be
used in portable
+programs.
 .SH SEE ALSO
 .BR socket "(2), " open "(2)"

Comment 1 Cristian Gafton 2000-05-22 15:02:59 UTC
assigned to teg

Comment 2 Trond Eivind Glomsrxd 2000-05-30 16:52:59 UTC
Except from the include file, it seems fixed in 1.29. I fixed that.

Comment 3 openshift-github-bot 2018-08-13 00:18:11 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/c477343c827ee4b89bba43f2ce249fd4f4a48d1e
Merge pull request #11491 from bfallonf/5599_IPs

Issue 5599 Fix egressip and ingressip caps issue